org.apache.xmlbeans.impl.xb.xsdschema

## Interface KeyrefDocument.Keyref

All Superinterfaces:
  Annotated, Keybase, OpenAttrs, XmlObject, XmlTokenSource

All Known Implementing Classes:
  KeyrefDocumentImpl.KeyrefImpl

Enclosing interface:
  KeyrefDocument

    public static interface KeyrefDocument.Keyref
    extends Keybase

An XML keyref(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static ElementFactory<KeyrefDocument.Keyref>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`QName` `getRefer()` Gets the "refer" attribute
`void` `setRefer(QName refer)` Sets the "refer" attribute
`XmlQName` `xgetRefer()` Gets (as xml) the "refer" attribute
`void` `xsetRefer(XmlQName refer)` Sets (as xml) the "refer" attribute

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Keybase

`addNewField, addNewSelector, getFieldArray, getFieldArray, getFieldList, getName, getSelector, insertNewField, removeField, setFieldArray, setFieldArray, setName, setSelector, sizeOfFieldArray, xgetName, xsetName`

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<KeyrefDocument.Keyref> Factory

#### type

    static final SchemaType type

### Method Detail

#### getRefer

    QName getRefer()

Gets the "refer" attribute

#### xgetRefer

    XmlQName xgetRefer()

Gets (as xml) the "refer" attribute

#### setRefer

    void setRefer(QName refer)

Sets the "refer" attribute

#### xsetRefer

    void xsetRefer(XmlQName refer)

Sets (as xml) the "refer" attribute